Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyS.cpp File Reference

`#include "PolicyS.h"`
`#include "tao/PortableServer/Object_Adapter.h"`
`#include "tao/PortableServer/Operation_Table.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Profile.h"`
`#include "tao/Stub.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Typecode.h"`
`#include "tao/DynamicC.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/PICurrent.h"`
`#include "tao/PortableServer/ServerRequestInfo.h"`
`#include "tao/PortableServer/ServerInterceptorAdapter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/config-all.h"`
`#include "PolicyS.i"`

Include dependency graph for PolicyS.cpp:

## Namespaces
namespace | TAO
## Compounds
class | Arg_Traits< CORBA::Policy >
class | TAO_CORBA_Policy_Perfect_Hash_OpTable
class | TAO_ServerRequestInfo_CORBA_Policy_copy
class | TAO_ServerRequestInfo_CORBA_Policy_destroy
class | TAO_ServerRequestInfo_CORBA_Policy_policy_type_get
## Defines
#define | _CORBA_POLICY__ARG_TRAITS_SS_
## Functions
TAO::Collocation_Proxy_Broker * | CORBA__TAO_Policy_Proxy_Broker_Factory_function (CORBA::Object_ptr)
int | CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer (size_t)
## Variables
TAO_CORBA_Policy_Perfect_Hash_OpTable | tao_CORBA_Policy_optable
int | CORBA__TAO_Policy_Proxy_Broker_Stub_Factory_Initializer_Scarecrow

## Define Documentation

#define _CORBA_POLICY__ARG_TRAITS_SS_

## Function Documentation

TAO::Collocation_Proxy_Broker* CORBA__TAO_Policy_Proxy_Broker_Factory_function | ( | CORBA::Object_ptr |  | ) |

int CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer | ( | size_t |  | ) |

## Variable Documentation

int CORBA__TAO_Policy_Proxy_Broker_Stub_Factory_Initializer_Scarecrow`[static]`

| Initial value:
      CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer (
          ACE_reinterpret_cast (
              size_t,
              CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer
            )
        )

TAO_CORBA_Policy_Perfect_Hash_OpTable tao_CORBA_Policy_optable`[static]`